<template>
    <div>
        <el-form :model="queryParams" ref="tableList" :inline="true" label-width="76px" style="margin: 10px 10px">
            <el-form-item label="时间段" prop="date">
                <el-date-picker v-model="value1" type="datetimerange" align="right" start-placeholder="开始日期"
                    end-placeholder="结束日期" :default-time="['00:00:00', '23:00:00']"  :picker-options="pickerOptions" format="yyyy-MM-dd HH:mm"
                    value-format="yyyy-MM-dd HH:mm" @change="dateChangebirthday1">
                </el-date-picker>
            </el-form-item>
            <el-form-item>
                <el-button type="primary" size="medium" icon="el-icon-search" @click="submitForm">搜索</el-button>
                <el-button type="primary" @click="submitForm">
                    <download-excel class="blueBtn" :data="DateList" :fields="json_fields" worksheet="My Worksheet"
                        name="报告工作量统计">
                        导出
                    </download-excel>
                </el-button>
            </el-form-item>
        </el-form>

        <template>
            <el-table :data="DateList" height="250" border style="width: 96%;margin: 10px 15px;">

                <el-table-column prop="doctorName" label="总检医师">
                </el-table-column>
                <el-table-column prop="checkCount" label="报告审核书">
                </el-table-column>
                <el-table-column prop="releaseCount" label="报告发布数">
                </el-table-column>
                <el-table-column prop="messageCount" label="短信通知数">
                </el-table-column>
                <el-table-column prop="printCount" label="报告打印数">
                </el-table-column>

            </el-table>
        </template>
    </div>
</template>

<script>
import { GetCheckDate } from "@/api/count/report";
export default {
    name: "department",
    dicts: ['sys_normal_disable'],
    data() {
        return {
            pickerOptions: {
          shortcuts: [{
            text: '最近一周',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近一个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近三个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
              picker.$emit('pick', [start, end]);
            }
          }]
        },
            value1: "",
            DateList: [],
            startTime: "",
            dateAll: [],
            queryParams: {
                startDate: null,
                endDate: null,
            },
            json_fields: {
                '总检医师': 'nweID',
                '报告审核书': 'abProName',
                '报告发布数': 'tjPersonNum',
                '短信通知数': 'abPersonNum',
                '报告打印数': 'abManNum',
            },
        };
    },

    created() {
        this.getList()
    },

    methods: {
        getList() {
            this.queryParams.startDate = this.startTime[0];
            this.queryParams.endDate = this.startTime[1];
            GetCheckDate(this.queryParams).then((response) => {
                this.DateList = response;
            })
        },
        // 时间
        dateChangebirthday1(val) {
            this.startTime = val;
        },

        // 搜索
        submitForm() {
            this.queryParams.pageNum = 1;
            this.getList();
        },

        // /** 导出按钮操作 */
        // handleExport() {
        //     // let data = this.DateList
        //     // getexportTjDeptCountVo(data).then((response) => {

        //     // })
        //     this.download('/home/page/exportTjDeptCountVo', {
        //         ...this.DateList
        //     }, `type_${new Date().getTime()}.xlsx`)
        // },
    },


};
</script>
<style>

</style>